%bcond_with trace
%global x11_app_defaults_dir %(pkg-config --variable appdefaultdir xt)

Summary:       Terminal emulator for the X Window System
Name:          xterm
Version:       375
Release:       3%{?dist}
License:       MIT
URL:           https://invisible-island.net/xterm
Source0:       ftp://ftp.invisible-island.net/xterm/%{name}-%{version}.tgz
Source1:       ftp://ftp.invisible-island.net/xterm/16colors.txt
Patch3001:     xterm-desktop.patch
Patch3002:     xterm-man-paths.patch

BuildRequires: make gcc pkgconfig pcre2-devel pkgconfig(libpcre2-posix)
BuildRequires: ncurses-devel libutempter-devel libxkbfile-devel
BuildRequires: libXft-devel libXaw-devel libXext-devel desktop-file-utils
Requires:      xterm-resize = %{version}-%{release}
Recommends:    xorg-x11-fonts-misc

%description
The xterm program is a terminal emulator for the X Window System. It
provides DEC VT102 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.


%package resize
Summary:       Set environment and terminal settings to current window size

%description resize
Prints a shell command for setting the appropriate environment variables to
indicate the current size of the window from which the command is run.


%prep
%autosetup -p1


%build
%configure \
	--enable-meta-sends-esc \
	--enable-exec-xterm \
	--disable-backarrow-key \
%{?with_trace: --enable-trace} \
	--enable-warnings \
	--disable-full-tgetent \
	--with-app-defaults=%{x11_app_defaults_dir} \
	--with-icon-theme=hicolor \
	--with-icondir=%{_datadir}/icons \
	--with-utempter \
	--with-tty-group=tty \
	--with-pcre2

%make_build


%install
%make_install
cp -fp %{SOURCE1} 16colors.txt

desktop-file-install --dir=%{buildroot}%{_datadir}/applications xterm.desktop
mkdir -p %{buildroot}%{_datadir}/appdata
install -m644 -p xterm.appdata.xml %{buildroot}%{_datadir}/appdata


%files
%doc xterm.log.html ctlseqs.txt 16colors.txt README.i18n THANKS
%{_bindir}/xterm
%{_bindir}/koi8rxterm
%{_bindir}/uxterm
%{_datadir}/appdata/xterm.appdata.xml
%{_datadir}/applications/*xterm.desktop
%{_datadir}/icons/hicolor/*/apps/*xterm*
%{_datadir}/pixmaps/*xterm*.xpm
%{x11_app_defaults_dir}/KOI8RXTerm*
%{x11_app_defaults_dir}/UXTerm*
%{x11_app_defaults_dir}/XTerm*
%{_mandir}/man1/koi8rxterm.1*
%{_mandir}/man1/uxterm.1*
%{_mandir}/man1/xterm.1*


%files resize
%{_bindir}/resize
%{_mandir}/man1/resize.1*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 375-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 375-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 06 2023 rockerzhu <rockerzhu@tencent.com> - 375-1
- Initial build
